alter table FK_DOKUMENTY add ID_DECYD integer;

/*--------------------------------------------------------------- */

alter table FK_DOKUMENTY add constraint DOKUM_DECYD_FK foreign key (ID_DECYD) references PB_DECYDENCI(ID_DECYD) on update cascade using index DOKUM_DECYD_FK_IDX;

/*--------------------------------------------------------------- */

set term ^ ;

create or alter trigger DOKUMENTY_ZRODLO_TRIGAD for FK_DOKUMENTY
active after delete position 10
as
begin
  if (old.ID_ZRODLOWEGO is not null) then begin
    if (old.ID_ZRODLOWEGO > 0) then begin
      update
        FK_DOKUMENTY dokum
      set
        dokum.CZY_PRZEPISANY = null
      where
        dokum.ID = old.ID_ZRODLOWEGO;
    end
  end
end^

create or alter trigger DOKUMENTY_ZRODLO_TRIGAU for FK_DOKUMENTY
active after update position 10
as
begin
  if (old.ID_ZRODLOWEGO is not null) then begin
    if (old.ID_ZRODLOWEGO > 0) then begin
      if ((new.ID_ZRODLOWEGO is null) or (new.ID_ZRODLOWEGO <> old.ID_ZRODLOWEGO)) then begin
        update
          FK_DOKUMENTY dokum
        set
          dokum.CZY_PRZEPISANY = null
        where
          dokum.ID = old.ID_ZRODLOWEGO;
      end
    end
  end
end^

set term ; ^

/*--------------------------------------------------------------- */

update FK_S_DOKUMENTY slodok set slodok.CZY_CPV = 'N' where slodok.CZY_CPV is null;

/*--------------------------------------------------------------- */

